Debian Bug report logs - #458246
report xrdb: filename:, not <stdin>

version graph

Package: x11-xserver-utils; Maintainer for x11-xserver-utils is Debian X Strike Force <debian-x@lists.debian.org>; Source for x11-xserver-utils is src:x11-xserver-utils.

Reported by: jidanni@jidanni.org

Date: Sat, 29 Dec 2007 20:33:02 UTC

Severity: minor

Tags: fixed-upstream, patch, upstream

Fixed in version x11-xserver-utils/7.3+3

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458246; Package icewm. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: <stdin>:1:30: warning: missing terminating ' character
Date: Sun, 30 Dec 2007 04:30:08 +0800
Package: icewm
Version: 1.2.33-1
Severity: minor

I moved .icewm/ and .xsession out of the way and restarted xdm, but
still can't get this
   Xsession: X session started for jidanni at Sun Dec 30 03:28:12 CST 2007
   <stdin>:1:30: warning: missing terminating ' character
out of .xsession-errors
Nothing wrong here:
$ sh -n ~/.bashrc
$ sh -n ~/.bash_profile




Reply sent to Eduard Bloch <edi@gmx.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #8 received at 458246-done@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: jidanni@jidanni.org, 458246-done@bugs.debian.org
Subject: Re: Bug#458246: <stdin>:1:30: warning: missing terminating ' character
Date: Sat, 29 Dec 2007 22:47:44 +0100
#include <hallo.h>
* jidanni@jidanni.org [Sun, Dec 30 2007, 04:30:08AM]:
> Package: icewm
> Version: 1.2.33-1
> Severity: minor
> 
> I moved .icewm/ and .xsession out of the way and restarted xdm, but
> still can't get this
>    Xsession: X session started for jidanni at Sun Dec 30 03:28:12 CST 2007
>    <stdin>:1:30: warning: missing terminating ' character
> out of .xsession-errors
> Nothing wrong here:
> $ sh -n ~/.bashrc
> $ sh -n ~/.bash_profile

This file receives all kinds of errors from /etc/X11/Xsession.d/*
scripts. Find your troublemaker package by running those scripts with
sh -x <path>.

Closing this BR, invalid.

Eduard.
-- 
<aba_> Tolimar: Was lernt man in einem "Kochen für Singles"-Kurs?
<Tolimar> aba_: Ich habe gelernt, dass es einfacher ist,
	eine Tiefkühlpizza in den Ofen zu schmeissen ;)




Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458246; Package icewm. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #13 received at 458246@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: control@bugs.debian.org, 458246@bugs.debian.org
Subject: Re: Bug#458246: <stdin>:1:30: warning: missing terminating ' character
Date: Sun, 30 Dec 2007 06:33:10 +0800
#/etc/X11/Xsession.d/* seem all OK.
#At least whatever makes the error message should make better error
#messages. As a guess, I hereby
reopen 458246
reassign 458246 xdm




Bug reopened, originator not changed. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sat, 29 Dec 2007 22:36:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `icewm' to `xdm'. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sat, 29 Dec 2007 22:36:04 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 458246-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: jidanni@jidanni.org
Cc: 458246-done@bugs.debian.org
Subject: Re: Processed: Re: Bug#458246: <stdin>:1:30: warning: missing terminating ' character
Date: Sun, 30 Dec 2007 08:29:04 +0100
On Sat, Dec 29, 2007 at 22:36:04 +0000, Debian Bug Tracking System wrote:

> > #/etc/X11/Xsession.d/* seem all OK.
> > #At least whatever makes the error message should make better error
> > #messages. As a guess, I hereby
> > reopen 458246
> Bug#458246: <stdin>:1:30: warning: missing terminating ' character
> Bug reopened, originator not changed.
> 
> > reassign 458246 xdm
> Bug#458246: <stdin>:1:30: warning: missing terminating ' character
> Bug reassigned from package `icewm' to `xdm'.
> 
Please first find where this error is coming from.  Then open a bug
against the right package.

Thanks,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458246; Package xdm. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 458246@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: control@bugs.debian.org
Cc: 458246@bugs.debian.org
Subject: report xrdb: filename:, not <stdin>
Date: Mon, 31 Dec 2007 01:07:34 +0800
reopen 458246
retitle 458246 report xrdb: filename:, not <stdin>
reassign 458246 x11-xserver-utils
thanks

Case 1:
$ xrdb zz
<stdin>:42:20: warning: missing terminating ' character

I clearly gave it a filename, as the xrdb man page instructs, but
instead it reports "<stdin>". This causes _many hours_ of chasing down
the source of errors when used in scripts!

Case 2:
$ xrdb yy
xrdb: colon missing on line 1, ignoring line

Here it says it's own name, at least.

I have an idea: why doesn't it say both!
xrdb: xx: missing blob at line 47, ...

(Must I supply you with the lines that triggered these? OK, though
irrelevant: jjjjj and ! bla'.)




Bug reopened, originator not changed. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sun, 30 Dec 2007 17:09:02 GMT) Full text and rfc822 format available.

Changed Bug title to `report xrdb: filename:, not <stdin>' from `<stdin>:1:30: warning: missing terminating ' character'. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sun, 30 Dec 2007 17:09:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `xdm' to `x11-xserver-utils'. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sun, 30 Dec 2007 17:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458246; Package x11-xserver-utils. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 458246@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: jidanni@jidanni.org, 458246@bugs.debian.org
Subject: Re: Bug#458246: report xrdb: filename:, not <stdin>
Date: Sun, 30 Dec 2007 19:40:09 +0100
jidanni@jidanni.org wrote:
> $ xrdb zz
> <stdin>:42:20: warning: missing terminating ' character
>
> I clearly gave it a filename, as the xrdb man page instructs, but
> instead it reports "<stdin>". This causes _many hours_ of chasing down
> the source of errors when used in scripts!
>   


xrdb invokes cpp with your file as stdin. This first warning comes from 
cpp, that's why the warning talks about <stdin>, as opposed to other 
warnings that are issued by xrdb itself.

As always, patches are welcome. Given how simple this program is, it 
would be a good programming exercise for anybody, even a newbie.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458246; Package x11-xserver-utils. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #43 received at 458246@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 458246@bugs.debian.org
Cc: jidanni@jidanni.org
Subject: Re: Bug#458246: report xrdb: filename:, not <stdin>
Date: Sun, 06 Jan 2008 20:38:34 +0100
tags 458246 + upstream
tags 458246 + patch
thanks

Hello!

On Sun, 30 Dec 2007 19:40:09 +0100, Brice Goglin wrote:
> jidanni@jidanni.org wrote:
>> $ xrdb zz
>> <stdin>:42:20: warning: missing terminating ' character
>>
>> I clearly gave it a filename, as the xrdb man page instructs, but
>> instead it reports "<stdin>". This causes _many hours_ of chasing down
>> the source of errors when used in scripts!
>
> xrdb invokes cpp with your file as stdin. This first warning comes
> from cpp, that's why the warning talks about <stdin>, as opposed to
> other warnings that are issued by xrdb itself.
>
> As always, patches are welcome. Given how simple this program is, it
> would be a good programming exercise for anybody, even a newbie.

Against the Debian package (which is upstream 1.0.4 and the same as the
upstream git at [1]) and very similar to the WIN32 part:

--8<---------------cut here---------------start------------->8---
--- x11-xserver-utils-7.3+2/xrdb/xrdb.c.ORG	2006-07-11 04:54:07.000000000 +0200
+++ x11-xserver-utils-7.3+2/xrdb/xrdb.c	2008-01-06 20:14:06.000000000 +0100
@@ -1203,10 +1203,13 @@
 #else
 	    if((cmd = (char *)
 		malloc(strlen(cpp_program) + strlen(includes.val) + 1 +
-		       strlen(defines.val) + 1)) ==
+		       strlen(defines.val) + 1 +
+		       strlen(filename ? filename : "") + 1)) ==
 	       NULL)
 		fatal("%s: Out of memory\n", ProgramName);
-	    sprintf(cmd, "%s%s %s", cpp_program, includes.val, defines.val);
+	    sprintf(cmd, "%s%s %s %s", cpp_program,
+		    includes.val, defines.val,
+		    filename ? filename : "");
 	    if (!(input = popen(cmd, "r")))
 		fatal("%s: cannot run '%s'\n", ProgramName, cmd);
 	    free(cmd);
--8<---------------cut here---------------end--------------->8---

This has been tested on my sid-amd64:
=====
luca@gismo:~/test/x11-xserver-utils-7.3+2/xrdb$ ./configure
[...]
luca@gismo:~/test/x11-xserver-utils-7.3+2/xrdb$ make
[...]
luca@gismo:~/test/x11-xserver-utils-7.3+2/xrdb$ make
[empty, waiting for input as expected until CTRL-C]

luca@gismo:~/test/x11-xserver-utils-7.3+2/xrdb$ ./xrdb -merge ~/.Xresources
/home/luca/.Xresources:16:13: warning: missing terminating ' character
/home/luca/.Xresources:18:17: warning: missing terminating ' character
/home/luca/.Xresources:20:18: warning: missing terminating ' character
luca@gismo:~/test/x11-xserver-utils-7.3+2/xrdb$
=====

Fixing this bug would mean closing bug #443537: since xrdb calls cpp,
these warnings (not errors) will always be shown.

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://gitweb.freedesktop.org/?p=xorg/app/xrdb.git;a=summary




Tags added: upstream Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 06 Jan 2008 19:57:05 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 06 Jan 2008 19:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458246; Package x11-xserver-utils. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 458246@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Luca Capello <luca@pca.it>, 458246@bugs.debian.org
Cc: jidanni@jidanni.org, control@bugs.debian.org
Subject: Re: Bug#458246: report xrdb: filename:, not <stdin>
Date: Mon, 07 Jan 2008 23:49:48 +0100
tags 458246 +fixed-upstream
thank you



Luca Capello wrote:
> Against the Debian package (which is upstream 1.0.4 and the same as the
> upstream git at [1]) and very similar to the WIN32 part:
>   

Pushed upstream as commit 09ef847d16333d6ae04c3f88ff7f535381cb9405

Thanks a lot
Brice





Tags added: fixed-upstream Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Mon, 07 Jan 2008 22:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458246; Package x11-xserver-utils. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 458246@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: control@bugs.debian.org
Cc: 458246@bugs.debian.org
Subject: setting package to x11-xserver-utils, tagging 458246
Date: Sun, 01 Jun 2008 13:45:49 +0200
# Automatically generated email from bts, devscripts version 2.10.28
#
# x11-xserver-utils (7.3+3) UNRELEASED; urgency=low
#
#  * xrdb 1.0.5
#    + Prevent cpp from prefixing errors with <stdin> when the xrdb input is a
#      file (closes: #458246)
#

package x11-xserver-utils
tags 458246 + pending





Tags added: pending Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 01 Jun 2008 11:48:03 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #66 received at 458246-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 458246-close@bugs.debian.org
Subject: Bug#458246: fixed in x11-xserver-utils 7.3+3
Date: Sun, 01 Jun 2008 12:32:34 +0000
Source: x11-xserver-utils
Source-Version: 7.3+3

We believe that the bug you reported is fixed in the latest version of
x11-xserver-utils, which is due to be installed in the Debian FTP archive:

x11-xserver-utils_7.3+3.dsc
  to pool/main/x/x11-xserver-utils/x11-xserver-utils_7.3+3.dsc
x11-xserver-utils_7.3+3.tar.gz
  to pool/main/x/x11-xserver-utils/x11-xserver-utils_7.3+3.tar.gz
x11-xserver-utils_7.3+3_i386.deb
  to pool/main/x/x11-xserver-utils/x11-xserver-utils_7.3+3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458246@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated x11-xserver-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Jun 2008 14:03:26 +0200
Source: x11-xserver-utils
Binary: x11-xserver-utils
Architecture: source i386
Version: 7.3+3
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 x11-xserver-utils - X server utilities
Closes: 458246
Changes: 
 x11-xserver-utils (7.3+3) unstable; urgency=low
 .
   * xrdb 1.0.5
     + Prevent cpp from prefixing errors with <stdin> when the xrdb input is a
       file (closes: #458246)
   * xset 1.0.4
   * xrandr 1.2.3
   * update debian/copyright with information from xrandr's COPYING file.
Checksums-Sha1: 
 0b1ff199be4aaa914668c3d9ca4d3dabdfc43f46 1347 x11-xserver-utils_7.3+3.dsc
 c6337c4e7e4740d8c389e38ed5dd50c2ac23c273 1975568 x11-xserver-utils_7.3+3.tar.gz
 13089c33440b2648ba341ed65264ba71558358a1 171980 x11-xserver-utils_7.3+3_i386.deb
Checksums-Sha256: 
 2fbe783ec2012e3597c08515f0d5cb99f2abebdabac25026f8dedf7e431881b6 1347 x11-xserver-utils_7.3+3.dsc
 f8f1df22952630fbc75e9264bf41471f5a352cd2776f25bf7084750ee33531a0 1975568 x11-xserver-utils_7.3+3.tar.gz
 19a168905c889207545aa38286a60cef8586e1d99921e3523a583677cc5a5373 171980 x11-xserver-utils_7.3+3_i386.deb
Files: 
 9ae89d59d95c0a12891e6a2dc4a54636 1347 x11 optional x11-xserver-utils_7.3+3.dsc
 aca76d28f504fcc63874ffacf137ed83 1975568 x11 optional x11-xserver-utils_7.3+3.tar.gz
 89aae43fdd0a0b086f15a5614ee0b60d 171980 x11 optional x11-xserver-utils_7.3+3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIQpK/mEvTgKxfcAwRAuDsAKCg1WOEQxKasnykDwn4UIoRF1ioEwCgxhRK
YTGMBQsb86gbS4Qd7RpKOD8=
=LiUv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Jul 2008 07:32:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:16:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.